Subject: solution to cygwin error: Win32 error 487 bash: fork: Resource temporarily unavailable
From: <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 27 Sep 2005 09:31:33 -0500

Hi, Tero,

I saw your post on the web. I have the same problem for the past two days. Error is as follows:

After installing cygwin on Window2000, I have following error after opening cygwin:

   1033 [main] bash 2164 fork_copy: linked dll data/bss pass 0 failed, 0x66D000.
.0x66D020, done 0, windows pid 1216, Win32 error 487
bash: fork: Resource temporarily unavailable

I tried many solutions with no help including:
1) make sure cygwin1.dll has only one copy on the machine.
2) install different versions, different selections
3) rebaseall in the bash. (bash is totally useless except for few commands).

Finally I got a solution which it works:

rebaseall: only ash processes are allowed during rebasing
    Exit all Cygwin processes and stop all Cygwin services.
    Execute ash from Start/Run... or a cmd or command window.
    Execute '/bin/rebaseall' from ash.

Hope it could help others to solve the same problem.

Best wishes,

--john

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/